org.apache.lucene.search.spell

## Class LuceneDictionary

- java.lang.Object
- - org.apache.lucene.search.spell.LuceneDictionary

All Implemented Interfaces:
  Dictionary

    public class LuceneDictionary
    extends Object
    implements Dictionary

Lucene Dictionary: terms taken from the given field of a Lucene index.

### Constructor Summary

Constructors
Constructor and Description
`LuceneDictionary(IndexReader reader, String field)` Creates a new Dictionary, pulling source terms from the specified `field` in the provided `reader`

### Method Summary

Methods
`BytesRefIterator` `getWordsIterator()` Return all words present in the dictionary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LuceneDictionary

    public LuceneDictionary(IndexReader reader,
                    String field)

Creates a new Dictionary, pulling source terms from the specified `field` in the provided `reader`

### Method Detail

#### getWordsIterator

    public final BytesRefIterator getWordsIterator()
                                            throws IOException

Description copied from interface: `Dictionary`
Return all words present in the dictionary

Specified by:
  `getWordsIterator` in interface `Dictionary`
Returns:
  Iterator
Throws:
  `IOException`